Subject: Re: [bug#37570] [PATCH] gnu: gtk+: Add libxrandr input.

From: Ingo Ruhnke <[email-masked]>
Date: Wed, 2 Oct 2019 20:46:25 +0200

The issue with Xfce specifically was that "gdk_monitor_get_model()" would
return NULL instead of the proper name and all the multi-monitor handling
would fall apart in turn, that seems like an gtk issue, not an Xfce issue.

As for "propagated-inputs", I put it there because that's where all the
other X11 libraries already are. Don't know exactly why, but it seems to
cause xrandr show up in the pkgconfig file which it wouldn't otherwise:

pkgconfig/gdk-3.0.pc:
Requires.private: ... xrandr ...